package cn.com.ctop.common.module.annotation;

import cn.com.ctop.common.module.enums.AnalyzerType;
import cn.com.ctop.common.module.enums.FieldType;

import java.lang.annotation.*;

/**
 * 作用在字段上，用于定义类型，映射关系
 * @author zzy
 * @create: 2021-07-12
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
@Documented
@Inherited
public @interface FieId {
    FieldType type() default FieldType.TEXT;

    /**
     * 指定分词器
     * @return
     */
    AnalyzerType analyzer() default AnalyzerType.STANDARD;

}
