package cn.com.ctop.kuaishou.modules.batch.mapper;

import java.util.List;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouActivityInfo;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 快分销-招商信息
 * @author jeecg-boot
 * 2023-01-10
 * @version V1.0
 */
public interface KuaiShouActivityInfoMapper extends BaseMapper<KuaiShouActivityInfo> {

    void replace(@Param(value = "adds") List<KuaiShouActivityInfo> activityInfoList);

    List<JSONObject> getActivityIdList(Long id );

    List<JSONObject> itemList();
}
