package cn.com.ctop.kuaishou.modules.dimension.mapper;

import cn.com.ctop.kuaishou.modules.dimension.entity.KuaiShouDimensionUnit;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 多维度测试组列表
 *
 * @author jeecg-boot
 * 2021-07-22
 * @version V1.0
 */
public interface KuaiShouDimensionUnitMapper extends BaseMapper<KuaiShouDimensionUnit> {

    List<JSONObject> getCampaignCount(@Param("accountId") Long accountId, @Param("strategyId") Long strategyId);

    Integer getUnitCount(@Param("accountId") Long accountId, @Param("strategyId") Long strategyId);

    void editBatch(@Param("submitStatus") Integer submitStatus, @Param("ids") JSONArray ids);

    Integer getUnitCountByStrategyId(@Param("strategyId") Long strategyId);
}
