package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 快手预警组数据
 */
@Data
@TableName("ctop_rule_data_unit_kuaishou")
public class RuleDateUnitKuaishou {

    /**
     * id
     */
    private Long id;
    /**
     * accountId
     */
    private Long accountId;
    /**
     * planId
     */
    private Long planId;
    /**
     * unitId
     */
    private Long unitId;
    /**
     * unitName
     */
    private String unitName;
    /**
     * 消耗
     */
    private BigDecimal charge;

    private Long convertNum;

    private BigDecimal convertCost;

    /**
     * activation
     */
    private Long activation;
    /**
     * 激活单价
     */
    private BigDecimal activationCost;
    /**
     * 注册数
     */
    private Long eventRegister;
    /**
     * 表单
     */
    private BigDecimal registerCost;
    /**
     * 表单
     */
    private Long formCount;
    /**
     * 表单提交单价
     */
    private BigDecimal formCost;
    /**
     * 付费
     */
    private Long eventPay;
    /**
     * 深度转化目标出价
     */

    /**
     * 安卓版本  3：不限， 4： 4.x+， 5： 5.x+， 6： 6.x+， 7： 7.x+；
     */
    private Integer androidOsv;
    /**
     * 优化目标
     * 2：行为数；180：激活数；53：表单数；190: 付费；191：首日ROI；324：唤起应用；348：有效线索；383: 授信；384: 完件；394：订单提交；；396：注册
     */


    private BigDecimal payCost;
    /**
     * 出价
     */
    private Integer status;

    private java.util.Date createTime;
    private java.util.Date updateTime;
}
