package cn.com.ctop.kuaishou.modules.batch.entity;


import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


/**
 * 快手电商-供应链订单信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2022-12-01
 */
@Data
@TableName("kuaishou_supply_chain_settlement")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "kuaishou_supply_chain_settlement对象", description = "快手电商-供应链订单信息")
public class KuaishouSupplyChainSettlement {


    private Long oid;
    private Long settlementAmount;
    private Long settlementTime;


}
