package cn.com.ctop.kuaishou.modules.dimension.service;

import cn.com.ctop.kuaishou.modules.dimension.entity.KuaiShouDimensionAccount;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 多维度测试关联账户表
 *
 * @author jeecg-boot
 * 2021-07-19
 * @version V1.0
 */
public interface IKuaiShouDimensionAccountService extends IService<KuaiShouDimensionAccount> {

    /**
     * 添加策略关联账户信息
     *
     * @param id
     * @param accountInfos
     */
    void insertAccountIds(Long id, JSONArray accountInfos, JSONArray creativeArray, JSONArray crowdArray);

    List<KuaiShouDimensionAccount> getListByStrategyId(Long id, Integer accountStatus);


    void removeByStrategyId(String id);
}
