package cn.com.ctop.toutiao.modules.material.mapper;

import cn.com.ctop.toutiao.modules.material.entity.BytedanceImageInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 头条图片素材
 * @author: jeecg-boot
 * @date:   2020-08-01
 * @cersion: V1.0
 */
public interface BytedanceImageInfoMapper extends BaseMapper<BytedanceImageInfo> {

    void replaceBatch(@Param(value = "imageInfos")List<BytedanceImageInfo> imageInfos);

    //大图横图
    void updateImageHorizonType(Long accountId);
    //大图竖图
    void updateImageVerticalType(Long accountId);
    //开屏
    void updateImageUnionType(Long accountId);
    //开屏 或者 竖图
    //void updateImageUnionIOrVerticalType();
}
